All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculateditems
Class BusinessModelCalculatedObjectFactory

    com.sas.dataselectors.calculateditems.BusinessModelCalculatedObjectFactory

All Implemented Interfaces:
  CalculatedItemMetadataInterface, CalculatedObjectFactoryInterface

Direct Known Subclasses:
  InformationMapCalculatedObjectFactory

    public class BusinessModelCalculatedObjectFactory

Description: Wrapper class around the BaseCalculatedObjectFactory to handle any BusinessModel specific cases Copyright: Copyright (c) 2002 Company: SAS

Nested Class Summary

Nested classes/interfaces inherited from interface com.sas.dataselectors.calculateditems.CalculatedObjectFactoryInterface
`CalculatedObjectFactoryInterface.ImageIconFactoryInterface`

Field Summary

Fields inherited from class com.sas.dataselectors.calculateditems.BaseCalculatedObjectFactory
`_cachedChildrenLists, _isTypeChangeWarningIgnored, _maxPhysicalValuestoLoad, _timeDateLookupCache, _timeDateSyntaxDataSelection, DEFAULT_GOVERNING_LIMIT, ERROR_ADDINGDATAITEM, ERROR_CREATINGDATAITEM, ERROR_FINDINGICONIMAGE, ERROR_FORMATTINGEXPRTEXT, ERROR_INVALIDEXPR, ERROR_INVALIDITEM, ERROR_INVALIDITEM_LABEL, ERROR_INVALIDITEM_OLAPLABELLENGTH, ERROR_NODATASERVICES, ERROR_NOMETADATASERVICE, ERROR_PARSINGEXPRTEXT, ERROR_REMOVINGDATAITEM, ERROR_TYPEINVALID, ERROR_TYPENOTSET, ERROR_UPDATINGDATAITEM, ERROR_UPDATINGEXPR, IMAGENAME_COLUMN_TYPE_CHARACTER, IMAGENAME_COLUMN_TYPE_DATE, IMAGENAME_COLUMN_TYPE_NUMERIC, IMAGENAME_COLUMN_TYPE_TIME, IMAGENAME_COLUMN_TYPE_TIMESTAMP, IMAGENAME_FOLDER_CLOSED, IMAGENAME_FOLDER_OPENED, IMAGENAME_MEMBER_TYPE_CHARACTER, IMAGENAME_MEMBER_TYPE_DATE, IMAGENAME_MEMBER_TYPE_NUMERIC, IMAGENAME_MEMBER_TYPE_TIME, IMAGENAME_MEMBER_TYPE_TIMESTAMP, IMAGENAME_OBJECT_CATEGORY, IMAGENAME_OBJECT_COLLECTION, IMAGENAME_OBJECT_CUBE, IMAGENAME_OBJECT_CUBE_DIMENSION, IMAGENAME_OBJECT_CUBE_HIERARCHY, IMAGENAME_OBJECT_CUBE_LEVEL, IMAGENAME_OBJECT_CUBE_MEASURE, IMAGENAME_OBJECT_DATASET, IMAGENAME_OBJECT_DATASOURCE, IMAGENAME_OBJECT_DETAIL, IMAGENAME_OBJECT_FILTER, IMAGENAME_OBJECT_MEASURE, IMAGENAME_OBJECT_PROMPTED_CATEGORY, IMAGENAME_OBJECT_PROMPTED_DETAIL, IMAGENAME_OBJECT_PROMPTED_FILTER, IMAGENAME_OBJECT_PROMPTED_MEASURE, IMAGENAME_OBJECT_TYPE_COLUMN, IMAGENAME_OBJECT_TYPE_PROMPT, LABEL_CALCITEM_TYPE_BITSTRING, LABEL_CALCITEM_TYPE_BOOLEAN, LABEL_CALCITEM_TYPE_CHARACTER, LABEL_CALCITEM_TYPE_DATE, LABEL_CALCITEM_TYPE_INTERVAL_DT, LABEL_CALCITEM_TYPE_INTERVAL_YM, LABEL_CALCITEM_TYPE_NOT_SET, LABEL_CALCITEM_TYPE_NUMERIC, LABEL_CALCITEM_TYPE_OLAP_CATEGORY, LABEL_CALCITEM_TYPE_OLAP_MEASURE, LABEL_CALCITEM_TYPE_TIME, LABEL_CALCITEM_TYPE_TIMESTAMP, lastInvalidCalculatedItemMessage, lastInvalidExpressionException, MAXIMUM_OLAPLABELLENGTH, parseExpressionMap, RB_KEY`

Constructor Summary
`BusinessModelCalculatedObjectFactory(com.sas.iquery.metadata.business.BusinessModel businessModel)`
`BusinessModelCalculatedObjectFactory(com.sas.iquery.metadata.business.BusinessModel businessModel, CalculatedObjectFactoryInterface.ImageIconFactoryInterface imageIconFactory)`
`BusinessModelCalculatedObjectFactory(com.sas.iquery.metadata.business.BusinessModel businessModel, com.sas.iquery.metadata.expr.ResourceScope scope)`

Method Summary
`CalculatedItemInterface` | `newCalculatedItemFromBusinessObject(java.lang.Object bmObject)`

Methods inherited from class com.sas.dataselectors.calculateditems.BaseCalculatedObjectFactory
`_init, canBusinessModelObjectHaveChildren, canBusinessModelObjectHaveValues, canRemoveAllCalculatedItems, convertBusinessObjectListToValuesList, convertToCalcItemType, convertToDataItem, convertToExpressionType, finalize, getBusinessDataSourceTree, getBusinessModelCalculatedItemObjects, getBusinessModelObjectChildren, getBusinessModelObjectImageName, getBusinessModelObjectValues, getBusinessModelObjectValuesToInsert, getBusinessObjectDescription, getBusinessObjectDisplayName, getBusinessObjectInsertName, getBusinessObjectTipText, getCalcItemTypeNames, getCalcItemTypeValues, getChildFormats, getChildFormats, getChildFormats, getDataItems, getDataItemsAndFolders, getDataItemValues, getDataServiceValues, getDataSources, getDataSourceTree, getExpressionTypeLabel, getExpressionTypeNames, getExpressionTypeValues, getExpressionUtilText, getExpressionValues, getFormatFromResources, getFunctionListTree, getImageIconByImageName, getImageIconFactory, getImageIconFromIqVisualsBundle, getIQueryMetadataService, getLastInvalidCalculatedItemMessage, getLastInvalidExpressionException, getLevelHasMembers, getLevelNameMap, getLevelNames, getLocale, getMaxOutputObservations, getMeasureNameMap, getMeasureNames, getMemberNames, getOperationList, getPhysicalDataSourceTree, getPromptDataSourceTree, getResourceScope, getSimpleDisplayNameFormat, getSimpleDuplicateNameFormat, getSimpleDuplicateStartIndex, isInterruptedGetPossibleFilterValues, isTypeChangeWarningIgnored, newBusinessModelCalculatedItemObject, newBusinessModelCalculatedItemObject, newCalculatedItem, newExpressionUtilExpression, parseExpression, removeBusinessModelCalculatedItemObject, setFormat, setImageIconFactory, setLocale, setMaxOutputObservations, setResourceScope, setSimpleDisplayNameFormat, setSimpleDuplicateNameFormat, setSimpleDuplicateStartIndex, setTypeChangeWarningIgnored, updateBusinessModelObjectFromCalculatedItem, updateCalculatedItemFromBusinessModelObject, updateCalculatedItemFromCalcValues, updateCalculatedItemFromExprValues, validateCalculatedItem, validateCalculatedItem, validateCalculatedItemOnServer, validateExpression, validateExpression, validateItemCalculation, validateItemCalculation`

Constructor Detail

### BusinessModelCalculatedObjectFactory

    public BusinessModelCalculatedObjectFactory(com.sas.iquery.metadata.business.BusinessModel businessModel)

### BusinessModelCalculatedObjectFactory

    public BusinessModelCalculatedObjectFactory(com.sas.iquery.metadata.business.BusinessModel businessModel,
                                                com.sas.iquery.metadata.expr.ResourceScope scope)

### BusinessModelCalculatedObjectFactory

    public BusinessModelCalculatedObjectFactory(com.sas.iquery.metadata.business.BusinessModel businessModel,
                                                CalculatedObjectFactoryInterface.ImageIconFactoryInterface imageIconFactory)

Method Detail

### newCalculatedItemFromBusinessObject

    public CalculatedItemInterface newCalculatedItemFromBusinessObject(java.lang.Object bmObject)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.